ata_hsm_qc_complete
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_hsm_qc_complete — finish a qc running on standard HSM

## Synopsis

`void ata_hsm_qc_complete (` | struct ata_queued_cmd * | qc,
| int | in_wq`)`;

## Arguments

`qc`

  Command to complete

`in_wq`

  1 if called from workqueue, 0 otherwise

## Description

Finish `qc` which is running on standard HSM.

## LOCKING

If `in_wq` is zero, spin_lock_irqsave(host lock). Otherwise, none on entry and grabs host lock.

Prev | Up | Next
ata_hsm_ok_in_wq | Home | ata_qc_new